%define release %mkrel 5
%define version 2.2.9

Summary:	A GNU program for formatting C code
Name:		indent
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/C
Source:		ftp://ftp.gnu.org/pub/gnu/indent/%{name}-%{version}.tar.bz2
Patch:      indent-2.2.9.gcc-fix.patch.bz2
URL:		http://www.gnu.org/software/indent/indent.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires(preun,post): info-install
BuildRequires:	gettext

%description
Indent is a GNU program for beautifying C code, so that it is easier to
read.  Indent can also convert from one C writing style to a different
one.  Indent understands correct C syntax and tries to handle incorrect
C syntax.

Install the indent package if you are developing applications in C and
you'd like to format your code automatically.

%prep
%setup -q
%patch -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# html file handled in percent-doc
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

# fix message catalog name
[ -d $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW.Big5 ] && \
  mv $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW{.Big5,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info
#/sbin/install-info %{_infodir}/indent.info.bz2 %{_infodir}/dir --entry="* indent: (indent).				Program to format source code."

%preun
%_remove_install_info %{name}.info
#if [ "$1" = 0 ]; then
#	/sbin/install-info --delete %{_infodir}/indent.info.bz2 %{_infodir}/dir --entry="* indent: (indent).                 	 Program to format source code."
#fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS ChangeLog README doc/indent.html
%{_bindir}/indent
%{_bindir}/texinfo2man
%{_mandir}/man?/*
%{_infodir}/*.info*

%changelog
* Thu Jun 30 2005 Michael Scherer <misc@mandriva.org> 2.2.9-5mdk
- fix prereq
- fix url ( #16655, thanks to juke )
- mkrel
- fix compilation
 
* Thu May 27 2004 Abel Cheung <deaddog@deaddog.org> 2.2.9-4mdk
- More macros
- BuildRequires
- Various other tuning

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.2.9-3mdk
- rebuild
- use %%configure and %%make macro

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 2.2.9-2mdk
- rebuild

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 2.2.9-1mdk
- 2.2.9
- add some missing files

* Sun Jul  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.8-2mdk
- rpmlint fixes: configure-without-libdir-spec

* Tue May 21 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.8-1mdk
- new release
- Patch0: texinfo2man has just been build and is NOT in the path

* Mon Jan 14 2002 Florin <florin@mandrakesoft.com> 2.2.7-1mdk
- 2.2.7
- New Url tag
- fix the man, info and html page install

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 2.2.6-2mdk
- s/Copyright/License
- add doc sections
- add url

* Sun Nov 19 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.6-1mdk
- bump up a new and shiny source to cooker.
- really use spechelper. (denosucks)

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 2.2.4-3mdk
- adding the macros

* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 2.2.4-2mdk
- new group: Development/C
- spechelper 

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.4.

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Sun Aug  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.2.0

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Insert PO-Traduction.
- 2.1.1

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- use install-info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
